<jds-bi-hosted-dropdown
  [(open)]="open"
  [ngClass]="[jds.w('full')]"
  [jdsBiDropdownLimitWidth]="dropdownLimitWidth"
  [content]="dropdown"
  [jdsBiDropdownAlign]="'right'"
  [jdsBiDropdownMinWidth]="220"
  jdsBiDropdownHover
>
  <button
    [ngClass]="[
      jds.button,
      jds.p(0),
      jds.d('flex'),
      jds.alignItems('center'),
      jds.justifyContent('between'),
      jds.w('full')
    ]"
    type="button"
  >
    <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
      <img
        class="photo"
        [src]="profileImage"
        [alt]="satudataUser.name"
        onerror="this.src='/assets/images/default-image.png';"
      />
      <span [ngClass]="[jds.dMd('none'), jds.ms(8)]">
        {{ navbarName }}
      </span>
    </div>
    <ng-container *ngTemplateOutlet="iconChevronDown" />
  </button>
</jds-bi-hosted-dropdown>

<ng-template #dropdown>
  <ul [ngClass]="[jds.dropdownMenu]">
    <li [ngClass]="[jds.dropdownNavbarItem]">
      <a
        [ngClass]="[jds.dropdownNavbarLink]"
        (click)="navigateTo('/my-data')"
      >
        Data Saya
      </a>
    </li>
    <li
      *ngIf="
        satudataUser.role_name === 'walidata' ||
        satudataUser.role_name === 'opd'
      "
      [ngClass]="[jds.dropdownNavbarItem]"
    >
      <a
        [ngClass]="[jds.dropdownNavbarLink]"
        (click)="navigateTo('/desk')"
      >
        Desk {{ satudataUser.role_name === 'walidata' ? 'Walidata' : 'OPD' }}
      </a>
    </li>
    <li
      *ngIf="satudataUser.role_name === 'walidata'"
      [ngClass]="[jds.dropdownNavbarItem]"
    >
      <a
        [ngClass]="[jds.dropdownNavbarLink]"
        (click)="navigateTo('/statistic')"
      >
        Statistik
      </a>
    </li>
    <li [ngClass]="[jds.dropdownNavbarItem]">
      <a
        [ngClass]="[jds.dropdownNavbarLink]"
        (click)="navigateTo('/my-profile')"
      >
        Profil Saya
      </a>
    </li>
    <li
      *ngIf="satudataUser.role_name === 'walidata'"
      [ngClass]="[jds.dropdownNavbarItem]"
    >
      <a
        [ngClass]="[jds.dropdownNavbarLink]"
        (click)="navigateTo('/log-activity-user')"
      >
        Log Aktivitas
        {{ satudataUser.role_name === 'walidata' ? 'Satu Data' : 'Data Saya' }}
      </a>
    </li>
    <li [ngClass]="[jds.dropdownNavbarItem]">
      <a
        [ngClass]="[jds.dropdownNavbarLink]"
        (click)="navigateTo('/history')"
      >
        Riwayat
      </a>
    </li>
    <li [ngClass]="[jds.dropdownNavbarItem]">
      <button
        [ngClass]="[
          jds.button,
          jds.dropdownNavbarLink,
          jds.bg(jdsBiColor.red['50']),
          jds.text(jdsBiColor.red['800'])
        ]"
        (click)="logout()"
        type="button"
      >
        Logout
      </button>
    </li>
  </ul>
</ng-template>

<ng-template #iconChevronDown>
  <jds-bi-icon
    [ngClass]="['icon', jds.dMd('none'), jds.ms(11)]"
    [class.rotated]="open"
    name="chevron-down"
  />
</ng-template>
